Cloud
Cloud-Dienstleistung für schnelle und effektive Analyse und Visualisierung von Daten für Ihr Business ohne eigene Applikationen zu erstellen oder zu programmieren.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/designer'
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");
// Add languages to the designer's language menu
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/de.xml");
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/ja.xml", false, "MyLabel");
// Load one at startup and set it as default
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/pt.xml", true);
Stimulsoft.Base.Localization.StiLocalization.cultureName = "Portuguese";
var options = new Stimulsoft.Designer.StiDesignerOptions();
options.appearance.fullScreenMode = true;
</script>
<template>
<Designer :report="report" :options="options" />
</template>addLocalizationFile(path) — add a language to the designer's menu; pass true to load it at startup.cultureName — the default language selected before the designer opens.

Cloud
Cloud-Dienstleistung für schnelle und effektive Analyse und Visualisierung von Daten für Ihr Business ohne eigene Applikationen zu erstellen oder zu programmieren.
import { Component } from "@angular/core";
import { Designer, Stimulsoft } from "stimulsoft-dashboards-js-angular/designer";
@Component({
imports: [Designer],
template: `<sti-designer [(report)]="report" [options]="options"></sti-designer>`
})
export class Example {
report: Stimulsoft.Report.StiReport;
options: Stimulsoft.Designer.StiDesignerOptions;
constructor() {
this.report = new Stimulsoft.Report.StiReport();
this.report.loadFile("Dashboards/Dashboard.mrt");
// Add languages to the designer's language menu
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/de.xml");
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/ja.xml", false, "MyLabel");
// Load one at startup and set it as default
Stimulsoft.Base.Localization.StiLocalization.addLocalizationFile("Localizations/pt.xml", true);
Stimulsoft.Base.Localization.StiLocalization.cultureName = "Portuguese";
this.options = new Stimulsoft.Designer.StiDesignerOptions();
this.options.appearance.fullScreenMode = true;
}
}addLocalizationFile(path) — add a language to the designer's menu; pass true to load it at startup.cultureName — the default language selected before the designer opens.